# Class SetAutoSwitchRequest

#### Hierarchy

- unknown
  - SetAutoSwitchRequest

- Defined in src/protobuf/grpc_pb.d.ts:1154
- Defined in src/protobuf/grpc_pb.d.ts:1166

#####
Index

### Constructors

constructor

### Methods

getAutoSwitch
serializeBinary
setAutoSwitch
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SetAutoSwitchRequest(): SetAutoSwitchRequest

- #### Returns SetAutoSwitchRequest

  Inherited from jspb.Message.constructor

## Methods

### getAutoSwitch

- getAutoSwitch(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1155

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1158

### setAutoSwitch

- setAutoSwitch(value: boolean): SetAutoSwitchRequest

- #### Parameters

  - ##### value: boolean

  #### Returns SetAutoSwitchRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1156

### toObject

- toObject(includeInstance?: boolean): SetAutoSwitchRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SetAutoSwitchRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1159

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetAutoSwitchRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetAutoSwitchRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1162

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetAutoSwitchRequest, reader: BinaryReader): SetAutoSwitchRequest

- #### Parameters

  - ##### message: SetAutoSwitchRequest

  - ##### reader: BinaryReader

  #### Returns SetAutoSwitchRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1163

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SetAutoSwitchRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SetAutoSwitchRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1161

### `Static` toObject

- toObject(includeInstance: boolean, msg: SetAutoSwitchRequest): SetAutoSwitchRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetAutoSwitchRequest

  #### Returns SetAutoSwitchRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1160

Generated using TypeDoc